Page MenuHomePhabricator

Add composer to PHP base images
Closed, ResolvedPublic

Description

Reported by @Krinkle on irc: the php images do not include the composer package manager

Event Timeline

bd808 created this task.Aug 3 2017, 3:40 AM
bd808 added a comment.Aug 3 2017, 4:04 AM

The deployment on the Tooforge bastions is from ::toollabs::composer. It clones rCICP integration-composer and then symlinks the vendor/bin/composer script it provides into the default search path.

Change 369838 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/docker-images/toollabs-images@master] Install composer for PHP imaages

https://gerrit.wikimedia.org/r/369838

bd808 claimed this task.Aug 3 2017, 4:38 AM
Restricted Application added a project: User-bd808. · View Herald TranscriptAug 3 2017, 4:38 AM
bd808 moved this task from Triage to In Progress on the Toolforge board.Aug 25 2017, 10:28 PM

Change 369838 merged by jenkins-bot:
[operations/docker-images/toollabs-images@master] Install composer for PHP images

https://gerrit.wikimedia.org/r/369838

bd808 closed this task as Resolved.Sep 18 2017, 5:58 PM
$ webservice --backend=kubernetes php5.6 shell
If you don't see a command prompt, try pressing enter.
tools.bd808-test@interactive:~$
tools.bd808-test@interactive:~$ composer --version
Composer version 1.1.3 2016-06-26 15:42:08

Mentioned in SAL (#wikimedia-cloud) [2017-09-18T18:02:21Z] <bd808> Updated PHP5.6 images for Kubernetes (T172358)